# Method Concurrent.results()

Method results

  ``variant` `Future` results(`array`(`Future`) `futures`)`
  ``local` `variant` `Future` results(`Future` ... `futures`)`

Returns

  A Future that represents the array of all the completed `futures`.

Note

  The returned Future does NOT have any state (eg backend) propagated from the `futures`. This must be done by hand.

See also

  all(), Promise.depend()